Bug 470296 - [RFE] generate list of install rpms
[RFE] generate list of install rpms
Status: NEW
Product: Fedora
Classification: Fedora
Component: appliance-tools (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Neal Gompa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-06 10:48 EST by David Huff
Modified: 2016-12-21 17:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Huff 2008-11-06 10:48:58 EST
>>> What we want is an option for livecd-creator to output a list of RPMs installed in the livecd.  appliance-creator should also expose this functionality.
>> This will should not be to hard to add, however my initial thought is that is information is already included in the kickstart file.  The kickstart file includes all info about the created appliance ans as long as the same tools and ks file is used the appliance should be reproducible.
> This is not correct.  The kickstart provides a package list without the full dependency chain.  So if I include only "appliance-tools" in the kickstart %packages section that doesn't describe all of the packages that were installed in the OS due to dependencies.
>
> The other thing the kickstart does not provide are the specific versions installed.

Indeed - the kickstart package list is mostly useless.

We also cannot rely on the resulting contents of the /var/lib/rpm database,
because there may be important packages used during building of the image
that are later removed in th %post, and we need to know about them.

The only reliable way to get the listing of packages is to have this
functionality built-in to the applice/livecd creator tool. It is using
the YUM api, and can directly extract the actual list of RPMs in the
packageset.
Comment 1 Fedora Admin XMLRPC Client 2014-01-12 14:49:51 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2016-12-21 16:14:29 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2016-12-21 16:16:18 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.